var a = Object.defineProperty;
var o = (i, e, t) => e in i ? a(i, e, { enumerable: !0, configurable: !0, writable: !0, value: t }) : i[e] = t;
var r = (i, e, t) => o(i, typeof e != "symbol" ? e + "" : e, t);
import { s as p } from "./install-CGlpWYKn.js";
import { H as d, a as u } from "./vidstack-Bq6c3Bam-ChR_jRff.js";
class n extends d {
  constructor(t, s) {
    super(t, s);
    r(this, "$$PROVIDER_TYPE", "AUDIO");
    r(this, "airPlay");
    p(() => {
      this.airPlay = new u(this.media, s);
    }, this.scope);
  }
  get type() {
    return "audio";
  }
  setup() {
    super.setup(), this.type === "audio" && this.ctx.notify("provider-setup", this);
  }
  /**
   * The native HTML `<audio>` element.
   *
   * @see {@link https://developer.mozilla.org/en-US/docs/Web/API/HTMLAudioElement}
   */
  get audio() {
    return this.media;
  }
}
export {
  n as AudioProvider
};
